System 4.0.0.0 System.Object System.Runtime.Serialization.ISerializable System.ComponentModel.TypeConverter(typeof(System.Security.Authentication.ExtendedProtection.ExtendedProtectionPolicyTypeConverter)) System.MonoTODO

Any classes that expose the class should not allow the setting of null policies, should supply a default policy, or should require an explicit policy to be created and set by the application developer or administrator.

The class represents the extended protection policy used by the server to validate incoming client connections.

- Constructor
  4.0.0.0
  System.MonoTODO("Not implemented.")

  When this constructor is used to initialize a new instance of the class, the property is set to the parameter and the property is set to .

  Initializes a new instance of the class that specifies when the extended protection policy should be enforced.

  A value that indicates when the extended protection policy should be enforced.
- Constructor
  4.0.0.0

  This constructor implements the interface for the class.

  The method can be used to serialize an object. This serialized object can then be used with to construct a new object.

  Initializes a new instance of the class from a object that contains the required data to populate the .

  A instance that contains the information that is required to serialize the new instance.
  A that contains the source of the serialized stream that is associated with the new instance.
- Constructor
  4.0.0.0

  When this constructor is used to initialize a new instance of the class, the property is set to the parameter, the property is set to the parameter, and the property is set to .

  Initializes a new instance of the class that specifies when the extended protection policy should be enforced and the channel binding token (CBT) to be used.

  A value that indicates when the extended protection policy should be enforced.
  A that contains a custom channel binding to use for validation.
- Constructor
  4.0.0.0

  When this constructor is used to initialize a new instance of the class, the property is set to the parameter, the property is set to the parameter, and the property is set to the parameter.

  Initializes a new instance of the class that specifies when the extended protection policy should be enforced, the kind of protection enforced by the policy, and a custom Service Provider Name (SPN) list that is used to match against a client's SPN.

  A value that indicates when the extended protection policy should be enforced.
  A value that indicates the kind of protection enforced by the policy.
  A that contains the custom SPN list that is used to match against a client's SPN.
- Constructor
  4.0.0.0

  When this constructor is used to initialize a new instance of the class, the property is set to the parameter, the property is set to the parameter, and the property is set to the parameter.

  Initializes a new instance of the class that specifies when the extended protection policy should be enforced, the kind of protection enforced by the policy, and a custom Service Provider Name (SPN) list that is used to match against a client's SPN.

  A value that indicates when the extended protection policy should be enforced.
  A value that indicates the kind of protection enforced by the policy.
  A that contains the custom SPN list that is used to match against a client's SPN.
- Property
  4.0.0.0
  System.Security.Authentication.ExtendedProtection.ChannelBinding To be added.

  This read-only property represents a custom channel binding token to use for validation. This is used in advanced scenarios when the CBT is provided by a custom outer channel. An example scenario might use this property in combination with and .

  Gets a custom channel binding token (CBT) to use for validation.

- Property
  4.0.0.0
  System.Security.Authentication.ExtendedProtection.ServiceNameCollection To be added.

  This read-only property indicates the custom SPN list that is used to match against a client's SPN. By default, the server will determine a default SPN list according to its registered endpoints. For scenarios which require SPN checking, this property can be specified using a using a constructor to override the default list used to match against the client’s SPN.

  Gets the custom Service Provider Name (SPN) list used to match against a client's SPN.

- Property
  4.0.0.0
  System.Boolean To be added.

  The changes to support extended protection are currently available for applications on Windows 7 and Windows Server 2008 R2. The extended protection features will be made available as updates for Windows Vista and Windows Server 2008. The extended protection features are not available on earlier versions of Windows.

  Indicates whether the operating system supports integrated windows authentication with extended protection.

- Property
  4.0.0.0
  System.Security.Authentication.ExtendedProtection.PolicyEnforcement To be added.

  This read-only property indicates when extended protection policy should be enforced (always, when supported by clients, or never).

  Gets when the extended protection policy should be enforced.

- Property
  4.0.0.0
  System.Security.Authentication.ExtendedProtection.ProtectionScenario To be added.

  This read-only property indicates the kind of protection enforced by the policy.

  Gets the kind of protection enforced by the extended protection policy.

- Method
  4.0.0.0
  System.Void `` ``

  The method can be used to serialize an object. This serialized object can then be used with to construct a new object.

  Populates a object with the required data to serialize an object.

  A object that holds the serialized data for an object. A that contains the destination of the serialized stream that is associated with the new .
- Method
  4.0.0.0
  System.MonoTODO
  System.String To be added.

  Gets a string representation for the extended protection policy instance.

  A instance that contains the representation of the instance.